COMM(1)

NAZWA
comm - porównuje dwa posortowane pliki wiersz po wierszu

SKŁADNIA
comm [OPCJA]... PLIK1 PLIK2

OPIS

Porównuje dwa posortowane pliki PLIK1 i PLIK2 wiersz po wierszu.

Gdy jako PLIK1 lub PLIK2 (nie oba) podano -, czyta standardowe wejście.

Bez opcji, wyświetla wynik w trzech kolumnach. Pierwsza kolumna zawiera wiersze unikatowe dla PLIKU1, druga wiersze unikatowe dla PLIKU2, a trzecia wiersze wspólne obu plikom.

-1  wyłącza wyświetlanie kolumny 1 (wierszy unikatowych dla PLIKU1)

-2  wyłącza wyświetlanie kolumny 2 (wierszy unikatowych dla PLIKU2)

-3  wyłącza wyświetlanie kolumny 3 (wierszy wspólnych obu plikom)

--check-order
    sprawdza, czy wejście jest poprawnie posortowane, nawet jeśli wszystkie wejściowe wiersze mogą być poprawnie porównane

--nocheck-order
    nie sprawdza poprawności posortowania wejścia

--output-delimiter=CIĄG
    oddziela kolumny podanym CIĄGIEM

--total
    wyświetla podsumowanie

-z, --zero-terminated
    kończy wiersze bajtem NUL, zamiast znakiem nowego wiersza

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Porównania przestrzegają reguł określonych przez LC_COLLATE.

PRZYKŁADY

comm -12 plik1 plik2
    Wyświetla jedynie wiersze obecne zarówno w plik1 jak i plik2.

comm -3 plik1 plik2
    Wyświetla wiersze, które występują w plik1, ale nie w plik2 i na odwrót.

AUTOR
Napisane przez Richarda M. Stallmana i Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

ZOBACZ TAKŻE
join(1), uniq(1)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/comm>
lub lokalnie, za pomocą info '(coreutils) comm invocation'

Spakietowane przez Debiana (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać.
Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Gwidon S. Naskrent <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.